overlay: Move `udevadm settle` to after pb-discover start

Add S10udev and S17udevsettle to the overlay to replace the existing
S10udev from buildroot. `udevadm settle` can wait up to 30 seconds which
delays the start of pb-discover and can cause important information to
miss the Petitboot UI. Start pb-discover first and then settle to have
the UI receive all events and bring up devices in the same time.

Signed-off-by: Samuel Mendoza-Jonas <sam@mendozajonas.com>
diff --git a/openpower/overlay/etc/init.d/S17udevsettle b/openpower/overlay/etc/init.d/S17udevsettle
new file mode 100755
index 0000000..92d3f9c
--- /dev/null
+++ b/openpower/overlay/etc/init.d/S17udevsettle
@@ -0,0 +1,10 @@
+#!/bin/sh
+case "$1" in
+    start)
+        udevadm settle --timeout=30 || echo "udevadm settle failed"
+	;;
+    *)
+        exit 1;;
+esac
+
+exit 0